Get Voice Agent
curl --request GET \
--url https://api.tryhamsa.com/v2/voice-agents/{voiceAgentId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.tryhamsa.com/v2/voice-agents/{voiceAgentId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tryhamsa.com/v2/voice-agents/{voiceAgentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "48f7656f-098b-4c43-b165-7cfd2cc8ac30",
"type": "Single Prompt",
"name": "Customer Support Agent",
"conversation": {
"greetingMessage": "Hello, how can I help you today?",
"greetingMessageType": null,
"preamble": "You are a helpful assistant.",
"pokeMessages": [],
"params": {},
"alignment": {
"greetingMessage": "ltr",
"preamble": "ltr"
}
},
"voice": {
"voiceId": "en-US-Neural2-A",
"voiceRecordId": null,
"voiceRecord": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "<string>",
"language": "<string>",
"image": "<string>",
"languageCode": "<string>",
"voiceRecord": {}
},
"lang": "en",
"ttsParams": {}
},
"llm": {
"provider": "openai",
"model": "gpt-4",
"temperature": 0.2,
"baseUrl": null,
"apiKey": null
},
"callSettings": {
"noiseCancellation": "telephony_optimized",
"cancelNoisePer": "conversation",
"interrupt": true,
"responseDelay": 400,
"userInactivityTimeout": 15,
"maxCallDuration": 300,
"silenceThreshold": 800,
"backgroundNoise": false,
"thinkingVoice": false,
"speakerIdentification": false,
"agenticRag": false,
"languageDialectSwitcher": false,
"minInterruptionDuration": 0.5,
"vadActivationThreshold": 0.5,
"enableAutoGainControl": false,
"sendDenoisedToStt": false,
"genderDetection": false,
"smartCallEnd": false,
"waitForUserToSpeakFirst": 0
},
"tools": [
{}
],
"knowledgeBaseItemsIds": [],
"voiceDictionaryIds": [],
"phoneNumber": {
"type": "TWILIO",
"id": "48f7656f-098b-4c43-b165-7cfd2cc8ac30"
},
"webhookUrl": null,
"webhookAuth": {},
"workflow": {
"nodes": [
{
"id": "2ZHj3IUpJFc-83H2-f8d3",
"type": "start",
"label": "Start",
"message": "Hello, how can I help you today?",
"messageType": "prompt",
"position": {
"x": 0,
"y": 0
},
"metadata": {
"version": 1
},
"transitions": []
}
],
"edges": [],
"customVariables": [
{
"id": "z5QsyxUbrKPjYMGaMj1e1",
"name": "customer_name",
"dataType": "string",
"description": "",
"defaultValue": "john",
"extractionPrompt": "",
"enumValues": []
}
]
},
"outcomeResponseShape": {},
"resolvedWebTools": [
{}
],
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z",
"account": {
"plan": "pro"
}
}
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Voice Agents Routes
Get Voice Agent
Retrieves a specific voice agent by its unique identifier.
GET
/
v2
/
voice-agents
/
{voiceAgentId}
Get Voice Agent
Authorizations
Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '
Path Parameters
UUID of the voice agent.
Example:
"48f7656f-098b-4c43-b165-7cfd2cc8ac30"
Was this page helpful?
⌘I